Package Details: cross-mipsel-linux-gnu-gcc 12.2.0-2

Git Clone URL: https://aur.archlinux.org/cross-mipsel-linux-gnu-gcc.git (read-only, click to copy)
Package Base: cross-mipsel-linux-gnu-gcc
Description: The GNU Compiler Collection for the MIPS architecture
Upstream URL: https://www.gnu.org/software/gcc/
Keywords: gcc
Licenses: GPL, LGPL, FDL
Submitter: kyak
Maintainer: effeffe
Last Packager: effeffe
Votes: 8
Popularity: 0.005231
First Submitted: 2015-08-11 15:05 (UTC)
Last Updated: 2022-11-08 11:50 (UTC)

Latest Comments

1 2 3 Next › Last »

dhims commented on 2023-01-25 05:15 (UTC)

After installation with yay I am not able to build c code as it cannot find stdio.h. Any idea how to fix it?

torpe23 commented on 2023-01-13 00:31 (UTC)

The naming of this package (and of the related packages) seems incorrect since this cross-compiler does not include support for the libc. It's a simple bare metal cross-compiler. It should probably be renamed into something like mipsel-none-elf-gcc or mipsel-unknown-elf-gcc in order to remove any confusion.

ugjdgdto commented on 2022-11-09 03:37 (UTC)

May I suggest renaming the package to remove the cross- prefix?

Reference: this guideline on ArchWiki

effeffe commented on 2022-11-08 11:42 (UTC)

The compile flags of the package have been amended. Sorry for the delay.

If any of you are interested in taking over or co-maintaining the package, please drop a message here

noabody commented on 2022-11-07 21:53 (UTC) (edited on 2022-11-07 21:58 (UTC) by noabody)

As MikeWalrus said, and here is my variation, change the PKGBUILD like so to get a build without hassling with /etc/makepkg.conf:

build() {
    export CFLAGS="${CFLAGS// -Werror=format-security}"
    export CXXFLAGS="$CFLAGS"

MikeWalrus commented on 2022-08-06 08:31 (UTC)

Could you please disable -Werror=format-security within the PKGBUILD?

For example:

    CFLAGS=${CFLAGS/-Werror=format-security/}
    CXXFLAGS=${CXXFLAGS/-Werror=format-security/}

adaoud6 commented on 2022-07-28 01:22 (UTC)

Hi, can you change the FTP url to HTTP? FTP is generally not well supported these days, especially if you are using a proxy.

effeffe commented on 2022-05-14 22:30 (UTC)

Updated. Please remember to remove -Werror=format-security from /etc/makepkg.conf under CFLAGS.

AlePini commented on 2021-08-09 11:03 (UTC) (edited on 2021-08-09 11:05 (UTC) by AlePini)

I found a solution to my previous issue.

as mentioned here https://gcc.gnu.org/bugzilla/show_bug.cgi?id=100207, arch changed /etc/makepkg.conf with the latest pacman-6.0.0 release
I just temporarily deleted this "-Werror=format-security" from CFLAGS and it worked.

Hope this helps

kyak commented on 2021-05-10 14:37 (UTC)

@AlePini that's an upstream bug, see https://bugs.archlinux.org/task/70701